Bug 21242 - fsck checks partitions on the same drive in parallel
fsck checks partitions on the same drive in parallel
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: e2fsprogs (Show other bugs)
7.1
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Florian La Roche
Aaron Brown
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-11-22 09:43 EST by Enrico Scholz
Modified: 2007-04-18 12:29 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-02-22 08:22:25 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Enrico Scholz 2000-11-22 09:43:16 EST
Although man page of fsck in e2fsprogs-1.19-0.2 is saying:

-----------
-A ... e2fsck will attempt to check them in parallel, although it will
avoid running multiple filesystem  checks on the same physical disk. 
-----------

it seems all my 10 partitions on hda are checked in parallel.  Is it
possible that fsck can only determine that 2 partitions are on the same
disk if '/dev/hda...' is being used and that it  becomes confused by the
"LABEL=..." option?
Comment 1 Florian La Roche 2001-02-12 09:57:22 EST
I have looked at the code and e2fsck seems to be ok. Can you please test again
if this is really with 1.19-0.2 and it really runs them in parallel?

Thanks,

Florian La Roche
Comment 2 Enrico Scholz 2001-02-19 05:19:34 EST
Verified with Public Beta also. A sample output is

---------------------
Checking filesystems
/boot was not cleanly unmounted, check forced.
/tmp was not cleanly unmounted, check forced.
/usr was not cleanly unmounted, check forced.
/opt was not cleanly unmounted, check forced.
/usr/local was not cleanly unmounted, check forced.
/var was not cleanly unmounted, check forced.
/boot: 29/2512 files (0.0% non-contiguous), 7738/10048 blocks
/opt: 11/16632 files (0.0% non-contiguous), 2121/66496 blocks  - 62.2%
/var: Inode 12054, i_blocks is 16, should be 2.  FIXED.
/var: Inode 12055, i_blocks is 16, should be 2.  FIXED.
/var: Inode 12062, i_blocks is 16, should be 2.  FIXED.
/var: Inode 12063, i_blocks is 16, should be 4.  FIXED.
/tmp: 18/16632 files (0.0% non-contiguous), 2136/66496 blocks
/var: Inode 38165, i_blocks is 16, should be 2.  FIXED.
/var: Inode 38166, i_blocks is 16, should be 2.  FIXED.
/var: Inode 38172, i_blocks is 16, should be 2.  FIXED.
/usr/local: 30/66264 files (0.0% non-contiguous), 8406/264064 blocks
/var: 352/66264 files (4.0% non-contiguous), 18920/264064 blocks
/usr: 38222/131616 files (0.1% non-contiguous), 149145/263080 blocks
----------------

(notice the /tmp and /usr/local entries between the /var-messages). All
partitions are in the same device (/dev/hda, vmware disk).  The bug happens with
non-vmware systems also.

/etc/fstab has these entries:

-----------------
LABEL=/                 /                       ext2    defaults        1 1
LABEL=/boot             /boot                   ext2    defaults        1 2
/dev/cdrom              /mnt/cdrom              iso9660 noauto,owner,ro 0 0
/dev/fd0                /mnt/floppy             auto    noauto,owner    0 0
LABEL=/tmp              /tmp                    ext2    defaults        1 2
LABEL=/usr              /usr                    ext2    defaults        1 2
LABEL=/usr/local        /usr/local              ext2    defaults        1 2
LABEL=/var              /var                    ext2    defaults        1 2
LABEL=/opt              /var/local              ext2    defaults        1 2
none                    /proc                   proc    defaults        0 0
none                    /dev/pts                devpts  gid=5,mode=620  0 0
/dev/hda9               swap                    swap    defaults        0 0
------------------

Some system info:

-------------------
# LANG=C fdisk -l /dev/hda
kernel version 132096

Disk /dev/hda: 64 heads, 63 sectors, 1015 cylinders
Units = cylinders of 4032 * 512 bytes

   Device Boot    Start       End    Blocks   Id  System
/dev/hda1   *         1         5     10048+  83  Linux
/dev/hda2             6      1015   2036160    5  Extended
/dev/hda5             6       136    264064+  83  Linux
/dev/hda6           137       267    264064+  83  Linux
/dev/hda7           268       394    256000+  83  Linux
/dev/hda8           395       427     66496+  83  Linux
/dev/hda9           428  460     66496+  82  Linux swap
/dev/hda10          461       493     66496+  83  Linux
/dev/hda11          494      1015   1052320+  83  Linux

$ mount
/dev/hda7 on / type ext2 (rw)
none on /proc type proc (rw)
/dev/hda1 on /boot type ext2 (rw)
/dev/hda8 on /tmp type ext2 (rw)
/dev/hda11 on /usr type ext2 (rw)
/dev/hda6 on /usr/local type ext2 (rw)
/dev/hda5 on /var type ext2 (rw)
/dev/hda10 on /var/local type ext2 (rw)
none on /dev/pts type devpts (rw,gid=5,mode=620)
--------------------
Comment 3 Enrico Scholz 2001-02-19 05:34:25 EST
When replacing the 'LABEL=...' entries in /etc/fstab with the device-filenames I
get:

--------
Checking filesystems
/boot was not cleanly unmounted, check forced.
/boot: 29/2512 files (0.0% non-contiguous), 7738/10048 blocks
/tmp was not cleanly unmounted, check forced.
/tmp: 18/16632 files (0.0% non-contiguous), 2136/66496 blocks
/usr was not cleanly unmounted, check forced.
/usr: 38222/131616 files (0.1% non-contiguous), 149145/263080 blocks
/usr/local was not cleanly unmounted, check forced.
/usr/local: 30/66264 files (0.0% non-contiguous), 8406/264064 blocks
/var was not cleanly unmounted, check forced.
/var:
Inode 12063, i_blocks is 22, should be 10.  FIXED.
/var: Inode 12053, i_blocks is 92, should be 86.  FIXED.
/var:
Inode 38165, i_blocks is 16, should be 2.  FIXED.
/var: Inode 38166, i_blocks is 16, should be 2.  FIXED.
/var: Inode 38172, i_blocks is 16, should be 2.  FIXED.
/var: 355/66264 files (4.5% non-contiguous), 19880/264064 blocks
/var/local was not cleanly unmounted, check forced.
/var/local: 11/16632 files (0.0% non-contiguous), 2121/66496 blocks
---------
Comment 4 Tim Waugh 2001-02-19 08:00:31 EST
I saw this today too.  Seems like labels are confusing it.
Comment 5 Helge Deller 2001-02-22 09:51:45 EST
should be fixed in e2fsprogs-1.19-2.src.rpm

Note You need to log in before you can comment on or make changes to this bug.